Subject: [bug#41411] gnu: gnurl: Update to 7.70.0

From: Nikita Gillmann <[email-masked]>
Date: Wed, 20 May 2020 11:05:08 +0200

Ricardo Wurmus transcribed 0.6K bytes:
> 
> > runtests.pl:
> > In the environment of guix, $USER is unset.
> >
> > # get the name of the current user
> > my $USER = $ENV{USER};          # Linux
> > if (!$USER) {
> >     $USER = $ENV{USERNAME};     # Windows
> >     if (!$USER) {
> >         $USER = $ENV{LOGNAME};  # Some Unix (I think)
> >     }
> > }
> >
> >
> > leads to $USER being uninitialized at some point (around line 3600 or
> > something further below, grep for it). The tests loudly complain to the
> > log but it's not fatal.
> 
> What is the USER variable used for?  If it’s not needed why set it at all?

I did some reading in runtests.pl and then sshserver.pl. My perl knowledge
isn't that good but from what I can gather the main reason it exists is so
that sshserver.pl can check if the arguments passed to it and the env do not
result in user root starting an ssh server.
Most tests run with predefined user, and runtests.pl seems to do some
substition with $USER when it's in the environment. Since gnurl does not build
with ssh enabled I assume the ssh tests are unnecessary anyway (if they are
run at all), so a fallback to 'Anonymous' (like most tests which set this user)
should be free of unexpected side-effects.

> -- 
> Ricardo